body, html {
    margin: 0;
    padding: 0;
    font-family: Arial, sans-serif;
    height: 100%;
}

nav ul {
    list-style-type: none;
    background-color: #333;
    text-align: center;
    margin: 0;
    padding: 10px 0;
}

nav ul li {
    display: inline;
}

nav ul li a {
    text-decoration: none;
    color: white;
    padding: 15px 20px;
    display: inline-block;
}


.content-block {
    margin: 0 auto;
    padding: 20px;
    background-color: #333;
    color: white;
    width: 100%; /* Vähendab konteineri laiust */
    max-width: 1300px; /* Maksimaalne laius, et vältida liiga suurt laienemist suurtel ekraanidel */
}

.footer-content {
    background-color: #333;
    color: white;
    text-align: center;
    padding: 10px;
}

/* Uuendatud .content-block.split klass, et taust ulatuks ekraani servast servani */
.content-block.split {
    display: flex;
    align-items: center;
    justify-content: space-between;
    width: 100%; /* Laius seadistatud täitma kogu saadaolev horisontaalne ruum */
    margin: 20; /* Eemaldatud kõik marginaalid */
    padding: 0 20px; /* Lisatud polsterdus ainult vasakult ja paremalt, et säilitada sisu vahe ekraani servadega */
    background-color: #ffffff;
    position: relative;
}

/* Säilitades sisu keskel paigutuse spetsiifiliselt */
.content-block.split .inner-container {
    max-width: 600px; /* Või mis iganes maksimaalne laius on sobiv */
    margin: 0 auto; /* Keskendab sisu horisontaalselt */
    width: 100%; /* Kasutab saadaolevat ruumi maksimaalselt */
    display: flex; /* Jätkab flex paigutuse kasutamist */
    justify-content: space-between; /* Säilitab elemendi vahe */
}

.text-side {
    flex: 1;
    margin-right: 20px; /* Võite seda väärtust reguleerida */
    text-align: right; /* Keskendab kõik sisuelemendid, kaasa arvatud nupud */
    color: black;
}

.image-side {
    flex: 1;
}

.image-side img {
    width: 100%;
    height: auto;
    display: block;
}

.button {
    display: inline-block;
    padding: 10px 20px;
    background-color: #007BFF;
    color: white;
    text-decoration: none;
    border-radius: 5px;
    margin-top: 20px;
}
